org.eclipse.jetty.webapp

## Class TagLibConfiguration.TagLibListener

- java.lang.Object
- - org.eclipse.jetty.webapp.TagLibConfiguration.TagLibListener

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

Enclosing class:
  TagLibConfiguration

    public class TagLibConfiguration.TagLibListener
    extends Object
    implements javax.servlet.ServletContextListener

TagLibListener A listener that does the job of finding .tld files that contain (other) listeners that need to be called by the servlet container. This implementation is necessitated by the fact that it is only after all the Configuration classes have run that we will parse web.xml/fragments etc and thus find tlds mentioned therein. Note: TagLibConfiguration is not used in jetty-8 as jasper (JSP engine) uses the new TldScanner class - a ServletContainerInitializer from Servlet Spec 3 - to find all listeners in taglibs and register them with the servlet container.

### Constructor Summary

Constructors
Constructor and Description
`TagLibConfiguration.TagLibListener(WebAppContext context)`

### Method Summary

Methods
`void` `contextDestroyed(javax.servlet.ServletContextEvent sce)`
`void` `contextInitialized(javax.servlet.ServletContextEvent sce)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagLibConfiguration.TagLibListener

    public TagLibConfiguration.TagLibListener(WebAppContext context)

### Method Detail

#### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`

#### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`